OpenNMS API 1.2.9

## org.opennms.web.parsers
Class BBParser.BBErrorHandler

    java.lang.Object
      org.opennms.web.parsers.BBParser.BBErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  BBParser

private class BBParser.BBErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

The error handler. Class BBErrorHandler implements the org.xml.sax.ErrorHandler interface - this is then set as the error handler for the DOMParser to track errors

Constructor Summary
`private` `BBParser.BBErrorHandler()`

Method Summary
`void` `error(org.xml.sax.SAXParseException ex)`
`void` `fatalError(org.xml.sax.SAXParseException ex)`
`void` `handle(org.xml.sax.SAXParseException ex, java.lang.String type)`
`void` `warning(org.xml.sax.SAXParseException ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BBParser.BBErrorHandler

    private BBParser.BBErrorHandler()

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException ex)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException ex)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### handle

    public void handle(org.xml.sax.SAXParseException ex,
                       java.lang.String type)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.